SmartRecruiters ATS Real Time Events
List of Events Supported by SmartRecruiters ATS
| Knit Event ID | Support | SmartRecruiters ATS Webhook Event |
|---|---|---|
ats_applications_new | Yes | application.created |
ats_applications_modified | Yes | application.status.updated, application.fields.updated, application.onboarding-status.updated, application.attachment.created, application.source.updated, application.screening-answers.created, application.screening-answers.updated, offer.created, offer.updated, offer.approval.created, offer.approval.approved, offer.approval.rejected, offer.approval.abandoned, offer.approval.step.approved, offer.approval.step.rejected, offer.approver.skipped, offer.approver.delegated, offer.approval.comment.created, interview.created, interview.updated, interview.canceled |
ats_applications_deleted | No | – |
ats_jobs_new | Yes | job.created |
ats_jobs_modified | Yes | job.updated, job.status.updated, job.hiring-team.updated, job.ad.created, job.ad.updated, job.ad.postings.updated, position.created, position.updated, position.deleted, job.approval.created, job.approval.approved, job.approval.rejected, job.approval.abandoned, job.approval.step.approved, job.approval.step.rejected, job.approver.skipped, job.approver.delegated, job.approval.comment.created |
ats_jobs_deleted | No | – |
ats_candidates_new | Yes | candidate.created |
ats_candidates_modified | Yes | candidate.updated |
ats_candidates_deleted | Yes | candidate.deleted |
Subscribe to SmartRecruiters Real Time Events
To subscribe to real time events in SmartRecruiters, use the Subscribe to Real Time Events API. A sample cURL request:
curl --location 'https://api.getknit.dev/v1.0/events.subscribe' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--data '{
"events": [
"ats_applications_new",
"ats_applications_modified"
]
}'
The response for this would look like the following:
{
"success": true,
"data": {}
}Updated about 1 hour ago
Did this page help you?

